AtteanX::Serializer::NQuads(3pm)

NAME
AtteanX::Serializer::NQuads - N-Triples Serializer

VERSION
This document describes AtteanX::Serializer::NQuads version 0.033

SYNOPSIS
 use Attean;
 my $serializer = Attean->get_serializer('NQuads')->new();
 $serializer->serialize_iter_to_io( $iter, $fh );

DESCRIPTION
Serializes triples and quads into the RDF 1.1 N-Quads format.

ATTRIBUTES

"canonical_media_type"
"file_extensions"

METHODS

"serialize_iter_to_io( $fh, $iterator )"
"serialize_iter_to_bytes( $fh )"
"media_types"
    Returns a list of media types that identify the format produced by this serializer.

"file_extensions"
    Returns a list of file extensions associated with the serialized format.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

SEE ALSO
<https://www.w3.org/TR/n-quads/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2022 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.